Agent/Get Contact
GET /v1/agent/contacts/{id}

Get Contact

Returns the contact when the agent is allowed to see it under workspace visibility rules (including approved contact access). For **private** contacts the agent cannot access, responds with **403 Forbidden** instead of a redacted payload.

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl https://api.{cluster}.{platform}.voiger.io/v1/agent/contacts/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code"

Parameters

x-workspace-code string required in header
id string required in path

Response

contact▾
object
id
string
first_name
string
last_name
string
gender
string
access
string
country
string
field_1
string
field_2
string
field_3
string
inbound_calls_blocked
boolean
outbound_calls_blocked
boolean
emails▾
array
email
string
is_primary
boolean
phones▾
array
phone
string
is_primary
boolean
image▾
null | object
id
string